Class
IntervalAndCargo
A simple record type that stores an interval and a cargo value.
IntervalAndCargo<TValue, TCargo>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TValue | The value type, that is the type of the interval borders. Metafunctions: Value Default: int.
TCargo | The cargo type. Metafunctions: Cargo Default: int.

Metafunctions

Cargo | Type of additional data stored in an object.
Value | Type of the items in the container.

Member Functions

IntervalAndCargo | Constructor.

Functions

cargo | Access to the cargo.
cargo | Access to the cargo.
getCargo | Get method for the edge cargo.
getLeftBoundary | Get method for the left boundary.
getRightBoundary | Get method for the right boundary.
leftBoundary | Access to the right boundary.
rightBoundary | Access to the right boundary.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45